#pragma once

#include "datatable/validator/AbstractTableValidator.h"
#include <boost/shared_ptr.hpp>
#include <string>

class TableKeyFieldsValidator : public AbstractTableValidator
{
public:
    TableKeyFieldsValidator();
    TableKeyFieldsValidator(const AgString& source);

    virtual AgString encode();
    virtual char getType();
    virtual void validate(DataTablePtr table);
    void validate(DataTablePtr table, DataRecordPtr record);
    virtual TableKeyFieldsValidator *clone();
};

